## javax.servlet.http
Interface HttpSessionAttributeListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  TagListener, TestListener

    public interface HttpSessionAttributeListener

extends EventListener

This listener interface can be implemented in order to get notifications of changes to the attribute lists of sessions within this web application.

Since:
  v 2.3

Method Summary
`void` `attributeAdded(HttpSessionBindingEvent se)` Notification that an attribute has been added to a session.
`void` `attributeRemoved(HttpSessionBindingEvent se)` Notification that an attribute has been removed from a session.
`void` `attributeReplaced(HttpSessionBindingEvent se)` Notification that an attribute has been replaced in a session.

Method Detail

### attributeAdded

    void attributeAdded(HttpSessionBindingEvent se)

  Notification that an attribute has been added to a session. Called after the attribute is added.

### attributeRemoved

    void attributeRemoved(HttpSessionBindingEvent se)

  Notification that an attribute has been removed from a session. Called after the attribute is removed.

### attributeReplaced

    void attributeReplaced(HttpSessionBindingEvent se)

  Notification that an attribute has been replaced in a session. Called after the attribute is replaced.

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.